Issue1512

classification
Title: No maven artifacts available for 2.5.1+
Type: Severity: normal
Components: Any Versions: 2.5.1, 2.5.2b1, 2.5.2rc
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: bonkabonka, cgroves, dstengle, francisdb, fwierzbicki, heinek, jaraco, javabrett, nriley, otmarhumbel, rplevy, tomstrummer, zyasoft
Priority: high Keywords:

Created on 2009-12-03.19:44:33 by dstengle, last changed 2012-08-08.22:46:03 by fwierzbicki.

Messages
msg5340 (view) Author: David Stenglein (dstengle) Date: 2009-12-03.19:44:32
It would be great to be able to use the latest version of Jython through
maven without having to roll your own version.
msg5637 (view) Author: Brett Randall (javabrett) Date: 2010-04-05.09:36:00
Is there anything that can be done to help get 2.5.1 uploaded to Maven Central or other public repo?

Also asked here: http://sourceforge.net/mailarchive/forum.php?thread_name=c2f30a41003252021p5ce46c00ifd3e23e6b3ed57a3@mail.gmail.com&forum_name=jython-dev

Thanks
Brett
msg5643 (view) Author: Nicholas Riley (nriley) Date: 2010-04-08.00:58:54
From what I can see:

http://maven.apache.org/guides/mini/guide-central-repository-upload.html

someone just needs to post a request to JIRA.  cd'ing into the maven directory and running mvn repository:bundle-create doesn't seem to work for me:

[INFO] [repository:bundle-create {execution: default-cli}]
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] project.scm.url must be present.
[INFO] ------------------------------------------------------------------------
[INFO] For more information, run Maven with the -e switch
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 23 seconds
[INFO] Finished at: Wed Apr 07 19:56:33 CDT 2010
[INFO] Final Memory: 18M/79M
[INFO] ------------------------------------------------------------------------

Also I wonder if something isn't substituting correctly?

[INFO] Building jar: /Users/nicholas/zilles/jython-svn/trunk/maven/target/jython-@PROJECT-VERSION@.jar

Is there something that substitutes @PROJECT-VERSION@?
msg5645 (view) Author: Charlie Groves (cgroves) Date: 2010-04-08.01:22:53
See #7 on http://wiki.python.org/jython/HowToReleaseJython.
msg5659 (view) Author: Brett Randall (javabrett) Date: 2010-04-11.10:00:00
@nriley I think you might be seeing Maven issue MREPOSITORY-2 [1].  On Maven 2.2.1 having done a dist build of Jython, I can cd to the maven directory and run ant -Dproject.version=2.5.1 (but I did this from trunk).  The resulting jython-2.5.1-bundle.jar looks good.

I agree that someone needs to post this bundle (to the shell server mentioned in the notes) and file a Maven JIRA.

Thanks
Brett

[1] http://jira.codehaus.org/browse/MREPOSITORY-2
msg5986 (view) Author: Jim Baker (zyasoft) Date: 2010-08-18.01:48:25
Looks like this still is an issue.
msg6043 (view) Author: rplevy (rplevy) Date: 2010-09-06.14:51:05
Another vote for 2.5.1 in maven
msg6170 (view) Author: James Cook (bonkabonka) Date: 2010-10-15.19:02:19
Hm, I don't see a way to either star or vote for this issue so I guess I'll just chime in with a "me too" in the hopes that this will soon be resolved.  =/
msg6226 (view) Author: Heine (heinek) Date: 2010-11-03.15:47:20
Upvoted. This task is long overdue. Right now, 2.2rc3 is the newest one, and a lot has happened since then ...
msg6244 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-11-09.23:01:46
you are right, but i am working on showstoppers for 2.5.2 - sorry for the delay
msg6401 (view) Author: (francisdb) Date: 2011-02-21.15:35:27
Another 'vote' for this issue since it the only way to indicate my interest
msg7356 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-08-08.22:46:03
2.5.3rc1 is hosted on maven as will all future releases now that I have the process mostly streamlined. See the 2.5.3rc1 announcement for links: http://fwierzbicki.blogspot.com/2012/08/jython-253rc1-released.html
History
Date User Action Args
2012-08-08 22:46:03fwierzbickisetstatus: open -> closed
priority: high
resolution: fixed
messages: + msg7356
assignee: otmarhumbel -> fwierzbicki
2011-02-21 15:35:28francisdbsetnosy: + francisdb
title: No maven artifacts available for 2.5.1 -> No maven artifacts available for 2.5.1+
messages: + msg6401
versions: + 2.5.2b1, 2.5.2rc
2010-11-09 23:01:47otmarhumbelsetmessages: + msg6244
2010-11-03 15:47:20heineksetnosy: + heinek
messages: + msg6226
2010-10-15 19:02:19bonkabonkasetnosy: + bonkabonka
messages: + msg6170
2010-09-29 21:14:02otmarhumbelsetassignee: otmarhumbel
2010-09-09 05:42:06zyasoftsetnosy: + otmarhumbel
2010-09-06 14:51:06rplevysetmessages: + msg6043
2010-09-06 14:49:27rplevysetnosy: + rplevy
2010-08-18 01:48:25zyasoftsetnosy: + zyasoft
messages: + msg5986
2010-04-19 14:47:43jaracosetnosy: + jaraco
2010-04-13 19:50:45tomstrummersetnosy: + tomstrummer
2010-04-11 10:00:02javabrettsetmessages: + msg5659
2010-04-08 01:22:53cgrovessetmessages: + msg5645
2010-04-08 00:58:55nrileysetnosy: + cgroves, fwierzbicki, nriley
messages: + msg5643
2010-04-05 09:36:00javabrettsetnosy: + javabrett
messages: + msg5637
2009-12-03 19:44:33dstenglecreate